org.keycloak.connections.jpa

## Class HibernateStatsReporter

- java.lang.Object
- - org.keycloak.connections.jpa.HibernateStatsReporter

- All Implemented Interfaces:
    ScheduledTask

      public class HibernateStatsReporter
      extends Object
      implements ScheduledTask

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateStatsReporter(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `logCollections(StringBuilder builder, String lineSep, org.hibernate.stat.Statistics stats)`
    `protected void` | `logEntities(StringBuilder builder, String lineSep, org.hibernate.stat.Statistics stats)`
    `protected void` | `logQueries(StringBuilder builder, String lineSep, org.hibernate.stat.Statistics stats)`
    `protected void` | `logStats(org.hibernate.stat.Statistics stats)`
    `void` | `run(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateStatsReporter

          public HibernateStatsReporter(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### run

          public void run(KeycloakSession session)

      Specified by:
        `run` in interface `ScheduledTask`

    - #### logStats

          protected void logStats(org.hibernate.stat.Statistics stats)

    - #### logEntities

          protected void logEntities(StringBuilder builder,
                                     String lineSep,
                                     org.hibernate.stat.Statistics stats)

    - #### logCollections

          protected void logCollections(StringBuilder builder,
                                        String lineSep,
                                        org.hibernate.stat.Statistics stats)

    - #### logQueries

          protected void logQueries(StringBuilder builder,
                                    String lineSep,
                                    org.hibernate.stat.Statistics stats)

Copyright © 2016 JBoss by Red Hat. All rights reserved.